apport console output format odd

Bug #269096 reported by Carl Karsten on 2008-09-11
4
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: apport

" No apport report written because..." indents don't look intentional, and "Packa[ge]" gets stepped on too:

  PackaNo apport report written because the error message indicates its a followup error from a previous failure.

carl@dv67:~$ sudo apt-get --assume-yes upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
10 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up x11-common (1:7.4~1ubuntu1.1) ...
usage error: remove_conffile_commit() called with wrong number of arguments;
   expected 1, got 2
Please report a bug in the postinst script of the x11-common package,
   version 1:7.4~1ubuntu1.1 to the Debian Bug Tracking System.
   Include all messages above that mention the x11-common package.
   Visit <http://www.debian.org/Bugs/Reporting> on the World Wide Web for
   instructions, read the file /usr/share/doc/debian/bug-reporting.txt from
   the doc-debian package, or install the reportbug package and use the
   command of the same name to file a report.
dpkg: error processing x11-common (--configure):
 subprocess post-installation script returned error exit status 99
dpkg: dependency problems prevent configuration of xbase-clients:
 xbase-clients depends on x11-common; however:
  Package x11-common is not configured yet.
dpkg: error processing xbase-clients (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gdm:
 gdm depends on xbase-clients; however:
  Package xbase-clients is not configured yet.
dpkg: error processing gdm (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of nvidia-glx-177:
 nvidia-glx-177 depends on x11-common (>= 1:7.0.0); however:
  Package x11-common is not configured yet.
dpkg: error processing nvidia-glx-177 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xserver-xorg-input-all:
 xserver-xorg-input-all depends on x11-common; however:
  PackaNo apport report written because the error message indicates its a followup error from a previous failure.
                                 No apport report written because the error message indicates its a followup error from a previous failure.
                                                           No apport report written because MaxReports is reached already
                                         No apport report written because MaxReports is reached already
                       No apport report written because MaxReports is reached already
     No apport report written because MaxReports is reached already
                                                                   No apport report written because MaxReports is reached already
                                                 No apport report written because MaxReports is reached already
                               No apport report written because MaxReports is reached already
             ge x11-common is not configured yet.
dpkg: error processing xserver-xorg-input-all (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xserver-xorg-core:
 xserver-xorg-core depends on x11-common (>= 1:7.0.0); however:
  Package x11-common is not configured yet.
dpkg: error processing xserver-xorg-core (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xorg:
 xorg depends on x11-common; however:
  Package x11-common is not configured yet.
dpkg: error processing xorg (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ubuntu-desktop:
 ubuntu-desktop depends on gdm; however:
  Package gdm is not configured yet.
 ubuntu-desktop depends on xorg; however:
  Package xorg is not configured yet.
dpkg: error processing ubuntu-desktop (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xserver-xorg-input-evdev:
 xserver-xorg-input-evdev depends on xserver-xorg-core (>= 2:1.4.99.906-2ubuntu2); however:
  Package xserver-xorg-core is not configured yet.
dpkg: error processing xserver-xorg-input-evdev (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xserver-xorg:
 xserver-xorg depends on xserver-xorg-core (>= 2:1.4-3); however:
  Package xserver-xorg-core is not configured yet.
dpkg: error processing xserver-xorg (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 x11-common
 xbase-clients
 gdm
 nvidia-glx-177
 xserver-xorg-input-all
 xserver-xorg-core
 xorg
 ubuntu-desktop
 xserver-xorg-input-evdev
 xserver-xorg
E: Sub-process /usr/bin/dpkg returned an error code (1)
carl@dv67:~$

kFuQ (derek-kfuq) wrote :

 sudo apt-get --assume-yes upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
  human-theme
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
9 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
dpkg: error processing libxine1-bin (--configure):
 package libxine1-bin is not ready for configuration
 cannot configure (current status `triggers-awaited')
dpkg: error processing hal-info (--configure):
 package hal-info is not ready for configuration
 cannot configure (current status `triggers-awaited')
dpkg: ../../src/packages.c:221: process_queue: Assertion `dependtry <= 4' failed.
E: Sub-process /usr/bin/dpkg exited unexpectedly

8.10 intrepid

kFuQ (derek-kfuq) wrote :

sorry, i accidentally pasted the wrong error before :(

sudo apt-get install nmapfe
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting zenmap instead of nmapfe
The following extra packages will be installed:
  nmap zenmap
The following NEW packages will be installed:
  nmap zenmap
0 upgraded, 2 newly installed, 0 to remove and 1 not upgraded.
12 not fully installed or removed.
Need to get 1869kB of archives.
After this operation, 7053kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://mirrors.kernel.org intrepid/main nmap 4.62-1ubuntu1 [1056kB]
Get:2 http://mirrors.kernel.org intrepid/universe zenmap 4.62-1ubuntu1 [813kB]
Fetched 1869kB in 3s (587kB/s)
Selecting previously deselected package nmap.
(Reading database ... 223186 files and directories currently installed.)
Unpacking nmap (from .../nmap_4.62-1ubuntu1_i386.deb) ...
Selecting previously deselected package zenmap.
Unpacking zenmap (from .../zenmap_4.62-1ubuntu1_i386.deb) ...
Processing triggers for man-db ...
dpkg: error processing libxine1-bin (--configure):
 package libxine1-bin is not ready for configuration
 cannot configure (current status `triggers-awaited')
dpkg: error processing hal-info (--configure):
 package hal-info is not ready for configuration
 cannot configure (current status `triggers-awaited')
dpkg: error processing libgtk2.0-bin (--configure):
 package libgtk2.0-bin is already installed and configured
dpkg: error processing rhythmbox (--configure):
 package rhythmbox is already installed and configured
dpkg: error processing sqlite3 (--configure):
 package sqlite3 is already installed and configured
Setting up nmap (4.62-1ubuntu1) ...
No apport report written because MaxReports is reached already
                                                              No apport report written because MaxReports is reached already

Setting up zenmap (4.62-1ubuntu1) ...

dpkg: ../../src/packages.c:221: process_queue: Assertion `dependtry <= 4' failed.
E: Sub-process /usr/bin/dpkg exited unexpectedly

Martin Pitt (pitti) wrote :

This is just stdout and stderr being interleaved, which is hard to control. It's also mostly cosmetical, GUIs like update-manager will handle that more gracefully.

Changed in apport:
importance: Undecided → Low
Alf-Red_5922 (harlock5922) wrote :

Hello,
is there a way to repair this imbroglio ? can update-manager do it ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers